using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Quality
{
	[Description("质检违禁词")]
	public class QualityProhibited : FullStateEntity
	{
		/// <summary>
		/// 违禁词名称
		/// </summary>
		[SugarColumn(ColumnDescription = "违禁词名称")]
		public string Name { get; set; }

		/// <summary>
		/// 违禁词分类
		/// </summary>
		[SugarColumn(ColumnDescription = "违禁词分类")]
		public string Classify { get; set; }

		/// <summary>
		/// 违禁词属性
		/// </summary>
		[SugarColumn(ColumnDescription = "违禁词属性")]
		public string Type { get; set; }

		/// <summary>
		/// 违禁近义词
		/// </summary>
		[SugarColumn(ColumnDescription = "违禁近义词", ColumnDataType = "varchar(2000)")]
		public string? Synonym { get; set; }

		/// <summary>
		/// 最近更新人
		/// </summary>
		[SugarColumn(ColumnDescription = "最近更新人")]
		public string? LastModificationName { get; set; }
	}
}
